# Run tests in check section
%bcond_without check

%define devel %mklibname %{name} -d

Version:    1.7.8

%global common_description %{expand:
SooperLooper is a live looping sampler capable of immediate loop recording,
overdubbing, multiplying, reversing and more. It allows for multiple
simultaneous multi-channel loops limited only by your computer's available
memory.

The application is a standalone JACK client with an engine controllable via OSC
and MIDI. It also includes a GUI which communicates with the engine via OSC
(even over a network) for user-friendly control on a desktop. However, this kind
of live performance looping tool is most effectively used via hardware (midi
footpedals, etc) and the engine can be run standalone on a computer without a
monitor. }


Name:       sooperlooper
Release:    %mkrel 1
Summary:    Live Looping Sampler
# For a full list of valid (and invalid) licenses, see /usr/share/rpmlint/TagsCheck.py
License:    GPL-v2
# For other groups, see /usr/share/rpmlint/config.d/distribution.exceptions.conf
Group:      Sound/Mixers
# For menu, see /usr/share/rpmlint/MenuCheck.py

URL:        https://github.com/essej/%{name}
Source0:    %{URL}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz



BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  wxgtk-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(libxml-2.0)

BuildRequires:  gettext-devel
BuildRequires:  gettext-base

%description
%{common_description}


%prep
%setup -q


%build
./autogen.sh
%configure
%make_build


%install
%make_install


# For files, be the more explicit
%files
%license COPYING
%doc README CHANGES
%{_bindir}/slconsole
%{_bindir}/slgui
%{_bindir}/slregister
%{_bindir}/sooperlooper
%{_datadir}/%{name}/presets/bcf2000.slb
%{_datadir}/%{name}/presets/edp4.slb
%{_datadir}/%{name}/presets/midiwizard.slb
%{_datadir}/%{name}/presets/oxy8.slb
